// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UEdGraphSchema_K2.h"
#include "SCW_UEdGraphSchema.h"

class UEdGraphSchema_K2;

namespace Sourcify
{
	class SCW_UEdGraphSchema_K2 : public SCW_UEdGraphSchema, public virtual ISCW_UEdGraphSchema_K2
	{
	public:
		SCW_UEdGraphSchema_K2(UEdGraphSchema_K2* InEdGraphSchema_K2);

		UEdGraphSchema_K2* ToUEdGraphSchema_K2() const;

		ISCW_UEdGraphSchema_K2Ptr ToUEdGraphSchema_K2Ptr() override;
		ISCW_UEdGraphSchema_K2ConstPtr ToUEdGraphSchema_K2Ptr() const override;

	protected:
		UEdGraphSchema_K2* EdGraphSchema_K2;
	};
} // namespace Sourcify